package com.bianla.app.activity.fragment

import android.content.Context
import android.graphics.Color
import android.os.Build
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import com.bianla.app.R
import com.bianla.app.js.JS2Android
import com.bianla.commonlibrary.utils.Utils
import com.bianla.commonlibrary.web.BaseAgentWebFragment
import kotlinx.android.synthetic.main.fragment_community.*

/**
 *  Project Name : bianla_android
 *  Package Name : com.bianla.commonlibrary.web
 *  @since 2018/3/9 09: 59
 *  @author : TradWang
 *  @email : trad_wang@sina.com
 *  @version : 0.0.1
 *  @describe : CommunityFragment
 */
class CommunityFragment : BaseAgentWebFragment() {

    private var mUrl: String? = null

    private lateinit var mRootView: View

    companion object {

        private const val URL_KEY = "URL_KEY"

        fun newInstance(url: String): CommunityFragment {
            val args = Bundle()
            args.putString("URL_KEY", url)
            val fragment = CommunityFragment()
            fragment.arguments = args
            return fragment
        }
    }

    override fun onAttach(context: Context?) {
        super.onAttach(context)
        mUrl = arguments?.getString(URL_KEY)
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {

        mRootView = inflater.inflate(R.layout.fragment_community, container, false)
        if (Build.VERSION.SDK_INT <= Build.VERSION_CODES.KITKAT) {
            mRootView.findViewById<View>(R.id.iv_hint).visibility = View.GONE
        } else {
            val params = LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, Utils.getStatusBarHeight())
            mRootView.findViewById<View>(R.id.iv_hint).layoutParams = params
            mRootView.findViewById<View>(R.id.iv_hint).setBackgroundColor(resources.getColor(R.color.gray))
        }
        return mRootView
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        mAgentWeb.jsInterfaceHolder.addJavaObject("Native", JS2Android(this.activity, mAgentWeb.webCreator.webView, mAgentWeb.webCreator.webView))
        mAgentWeb.agentWebSettings.webSettings.useWideViewPort = true
    }

    override fun getAgentWebParent(): ViewGroup {
        return mRootView.findViewById(R.id.web_container)
    }

    override fun getIndicatorColor(): Int {
        return Color.parseColor("#00FF00")
    }

    override fun getIndicatorHeight(): Int {
        return 1
    }

    override fun getUrl(): String? {
        return mUrl
    }

    fun goBack(): Boolean {
        return mAgentWeb.back()
    }

    fun hidePlaceHolder(isHide: Boolean) {
        if (isHide) {
            iv_place_holder.visibility = View.GONE
        } else {
            iv_place_holder.visibility = View.VISIBLE
        }
    }
}
