package com.bianla.app.api

import com.bianla.app.bean.CoachInfo
import com.bianla.app.bean.CoachUserInfoBean
import com.bianla.app.bean.PersonInfo
import com.bianla.app.bean.VMsgAlertListBean
import com.bianla.app.entity.DiaryHealthKetoneEntity
import com.bianla.dataserviceslibrary.domain.BaseEntity
import io.reactivex.Flowable
import io.reactivex.Observable
import io.rx_cache2.DynamicKey
import io.rx_cache2.EvictDynamicKey
import io.rx_cache2.LifeCache
import java.util.concurrent.TimeUnit

/**
 * Created by TradWang on 2017/11/25   20:22.
 * PackageName  com.bianla.app.api
 * @email  wangxiaojun@bianla.cn
 * @version  0.1
 * @describe  变啦请求网络缓存类
 */
interface BianlaCacheProvider {

    @LifeCache(duration = 10, timeUnit = TimeUnit.SECONDS)  //10秒缓存
    fun getKetoneAndHealthLog(flowable: Flowable<BaseEntity<DiaryHealthKetoneEntity>>, evictDynamicKey: EvictDynamicKey, dynamicKey: DynamicKey): Flowable<BaseEntity<DiaryHealthKetoneEntity>>

    @LifeCache(duration = 30, timeUnit = TimeUnit.MINUTES)
    fun getPersonalInfo(observable: Observable<PersonInfo>, evictDynamicKey: EvictDynamicKey, dynamicKey: DynamicKey): Observable<PersonInfo>

    @LifeCache(duration = 30, timeUnit = TimeUnit.MINUTES)
    fun getCoachInfo(observable: Observable<CoachInfo>, evictDynamicKey: EvictDynamicKey, dynamicKey: DynamicKey): Observable<CoachInfo>

}
