package com.bianla.app.model

import com.bianla.commonlibrary.utils.TimeUtils
import com.bianla.dataserviceslibrary.domain.UserBean
import com.bianla.dataserviceslibrary.provider.UserConfigProvider

/**
 *  Project Name : bianla_android
 *  Package Name : com.bianla.app.model
 *  @since 2018/4/2 17:28
 *  @author : TradWang
 *  @email : wangxiaojun@bianla.cn
 *  @version :0.0.1
 *  @describe :
 */

class EditingInformationModel {

    fun getUserInfo(): UserBean? {
        return UserConfigProvider.getInstance().userInfo
    }

    fun getUserBirthday(): String {
        val userInfo = getUserInfo()
        return if (userInfo == null) {
            ""
        } else {
            transformChineseBirthday(userInfo.birthdate ?: "")
        }
    }

    fun transformChineseBirthday(birthday: String): String {
        return TimeUtils.getTransformFormatDate("", TimeUtils.DEFAULT_DATE_FORMAT, TimeUtils.CHINESE_DATE_FORMAT, birthday)
    }

    fun transformEnglishBirthday(birthday: String): String {
        return TimeUtils.getTransformFormatDate("", TimeUtils.CHINESE_DATE_FORMAT, TimeUtils.DEFAULT_DATE_FORMAT, birthday)
    }
}